// Helper functions
BOOL ConvertIsoDateToDateTime(char* pdatetimefield,FILETIME *ft);
BOOL CreateIsoDateString(FILETIME *ft,char* buf); //yyyymmddhhmmss
char* strlcpy(char* p,const char* p2,int maxlen);
char* strlcat(char* p,const char* p2,int maxlen);

TCHAR* _tcslcpy(TCHAR* p,const TCHAR* p2,int maxlen);
TCHAR* _tcslcat(TCHAR* p,const TCHAR* p2,int maxlen);
WORD Crc16CalcBlock(char* p, int len, WORD crc16);
LPSTR strcatbackslash(LPSTR thedir);
LPSTR strlcatforwardslash(LPSTR thedir,int maxlen);
LPTSTR tcscatbackslash(LPTSTR thedir);
LPTSTR tcslcatforwardslash(LPTSTR thedir,int maxlen);
char* ReplaceBackslashBySlash(char* thedir);
LPTSTR tcsReplaceBackslashBySlash(LPTSTR thedir);
char* FormValidUrl(char* url,int maxlen,BOOL sendurlasunicode);
TCHAR* tcsFormValidUrl(TCHAR* url,int maxlen,BOOL sendurlasunicode);

BOOL UnixTimeToLocalTime(time_t* mtime,LPFILETIME ft);
void MimeEncode(char* inputstr,char* outputstr,int maxlen);
int CodePageToCharset(int cp);
BOOL IsVistaOrNewer();
char * guid_to_str(const GUID * id, char * out);

#ifndef countof
#define countof(array) (sizeof(array)/sizeof(array[0]))
#endif // countof
